LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSortable Interface Referencepublished

makes it possible to sort the contents of this object. More...

`import"XSortable.idl";`

Inheritance diagram for XSortable:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | createSortDescriptor ()
void | sort ([in] sequence< com::sun::star::beans::PropertyValue > xDescriptor)
| sorts the contents of the object according to the specified properties. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to sort the contents of this object.

The available properties describing the sort criteria are defined in the sort descriptor implemented by the object that implements this interface.

There are older deprecated sort descriptors:

- com::sun::star::util::SortDescriptor
- com::sun::star::table::TableSortDescriptor
- com::sun::star::text::TextSortDescriptor

And a new set of sort descriptors:

- com::sun::star::util::SortDescriptor2
- com::sun::star::table::TableSortDescriptor2
- com::sun::star::text::TextSortDescriptor2

Both types may be implemented by the same object. When calling the sort method however properties from different descriptors must not be mixed.

Developers Guide
  Text Documents - Sorting Text

## Member Function Documentation

## ◆ createSortDescriptor()

sequence< com::sun::star::beans::PropertyValue > createSortDescriptor | ( |  | ) |

Returns
  a sequence of properties which allows to specify/modify the sort criteria.

The set of properties is specific to the type of object that implements this interface. Therefore they can usually be used only for objects of that same type.

See also
  com::sun::star::util::SortDescriptor
  com::sun::star::table::TableSortDescriptor
  com::sun::star::text::TextSortDescriptor
  com::sun::star::util::SortDescriptor2
  com::sun::star::table::TableSortDescriptor2
  com::sun::star::text::TextSortDescriptor2

## ◆ sort()

void sort | ( | [in] sequence< com::sun::star::beans::PropertyValue > | xDescriptor | ) |

sorts the contents of the object according to the specified properties.

The specified properties are usually the same or a subset of those obtained by calling createSortDescriptor() on the same type of object.

See also
  com::sun::star::util::SortDescriptor
  com::sun::star::table::TableSortDescriptor
  com::sun::star::text::TextSortDescriptor
  com::sun::star::util::SortDescriptor2
  com::sun::star::table::TableSortDescriptor2
  com::sun::star::text::TextSortDescriptor2

The documentation for this interface was generated from the following file:

- com/sun/star/util/XSortable.idl